MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028583Open CASCADE[OCCT] OCCT:Codingpublic2017-03-23 11:382017-10-23 09:10
Reporterbugmaster 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028583: Coding Rules - eliminate GCC compiler warnings -Warray-bounds
DescriptionProblem is reproduced on gcc version 6.x

http://jenkins-test-08.nnov.opencascade.com/view/IR-2017-03-16/view/OCCT%20compile/job/IR-2017-03-16_IR-2017-03-16-OCCT-ARCH463-64-opt-compile/1/warnings19Result/package.-1086971438/ [^]

In file included from /OCCT/build/inc/NCollection_Array1.hxx:1:0,
                 from /OCCT/src/TColStd/TColStd_Array1OfReal.hxx:19,
                 from /OCCT/build/inc/TColStd_Array1OfReal.hxx:1,
                 from /OCCT/src/BSplCLib/BSplCLib.hxx:24,
                 from /OCCT/build/inc/BSplCLib.hxx:1,
                 from /OCCT/src/BSplCLib/BSplCLib.cxx:30:
/OCCT/src/NCollection/NCollection_Array1.hxx: In static member function 'static void BSplCLib::Trimming(Standard_Integer, 
Standard_Boolean, Standard_Integer, const TColStd_Array1OfReal&, const TColStd_Array1OfInteger&, 
const TColStd_Array1OfReal&, Standard_Real, Standard_Real, TColStd_Array1OfReal&, TColStd_Array1OfInteger&, 
TColStd_Array1OfReal&)':
/OCCT/src/NCollection/NCollection_Array1.hxx:215:40: warning: array subscript is below array bounds [-Warray-bounds]
     
myData = (TheItemType *) &theBegin - theLower;
              ~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~
/OCCT/src/NCollection/NCollection_Array1.hxx:215:40: warning: array subscript is below array bounds [-Warray-bounds]
     
myData = (TheItemType *) &theBegin - theLower;
              ~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~
Steps To Reproducenot required
TagsNo tags attached.
Test case number
Attached Files

- Relationships
duplicate of 0028978closedbugmaster Coding rules - suppress GCC compiler warnings -Warray-bounds within NCollection_Array1 

-  Notes
(0065795)
kgv (developer)
2017-05-10 09:44
edited on: 2017-05-10 09:44

> New compiler warning after integration fix for issue 28470
This warning can not be introduced by the patch for 0028470, because the code referred by warning existed before.

(0071693)
abv (manager)
2017-10-23 09:10

Fixed within 0028978

- Issue History
Date Modified Username Field Change
2017-03-23 11:38 bugmaster New Issue
2017-03-23 11:38 bugmaster Assigned To => kgv
2017-03-23 11:45 bugmaster Status new => assigned
2017-03-27 10:42 kgv Description Updated View Revisions
2017-05-05 11:05 kgv Description Updated View Revisions
2017-05-05 11:06 kgv Description Updated View Revisions
2017-05-10 09:44 kgv Note Added: 0065795
2017-05-10 09:44 kgv Note Edited: 0065795 View Revisions
2017-05-10 09:45 kgv Summary New compiler warning after integration fix for issue 28470 => Coding Rules - eliminate GCC compiler warnings -Warray-bounds
2017-07-20 11:43 kgv Product Version 7.3.0 =>
2017-07-20 11:43 kgv Target Version 7.2.0 => 7.3.0
2017-10-23 09:09 abv Relationship added duplicate of 0028978
2017-10-23 09:10 abv Note Added: 0071693
2017-10-23 09:10 abv Status assigned => closed
2017-10-23 09:10 abv Fixed in Version => 7.2.0
2017-10-23 09:10 abv Target Version 7.3.0 => 7.2.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker